Minimum requirements for using Slack

If you’re curious about the technical requirements needed to run Slack, read on to learn which operating systems and browsers we support.

Tip: If you’re running into an issue with updating your desktop app, visit Trouble updating the Slack desktop app for help downloading the latest version.


Desktop apps

Operating System Requirements
MacOS OS X 10.10 or above
Windows Windows 7 or above
Linux Fedora 28 or above
Ubuntu LTS releases 16.04 or above
Red Hat Enterprise Linux 7.0 or above

Note: Slack supports Transport Layer Security (TLS) version 1.2. 


Mobile apps

Operating System Requirements
iOS iOS 12.2 or above
Android Android 6.0 or above


Web browsers

Browser

Requirements

Chrome

Version 66 or above

Firefox

Version 60 or above

Safari

Version 10.1 or above

Microsoft Edge

Version 41 or above

Note: Google Chrome is the only browser that supports Slack calls.

Unsupported browsers and operating systems

To deliver the best possible Slack experience, we keep our list of supported browsers and operating systems short. We don’t fix bugs or issues for unsupported browsers, so we do our best to block them from accessing Slack.